<?php
/**
 * @package WordPress
 * @subpackage Aegaeus
 */

function content_error( $post_id ) {
?>
	<!-- BEGIN .page-not-found-box -->
	<div class="page-not-found-box">
                      
		<h1 class="align-center"><?php _e('404' , 'hbthemes'); ?></h1>
		<h3 class="align-center"><?php _e('The page you are looking for cannot be found.' , 'hbthemes'); ?></h3>
		
		<div class="separator">
			<div class="separator-icon" original-title="<?php _e('Are you lost?' , 'hbthemes'); ?>"><span class="icon-lightbulb"></span></div>
		</div>
                        
		<h4 class="align-center"><span class="focus-color"><?php _e('Feeling lost?' , 'hbthemes'); ?></span><?php _e(' Search the website.' , 'hbthemes'); ?></h4>
                        
		<form action="<?php bloginfo('siteurl'); ?>" role="search" method="get" id="search-404">
			<input type="text" placeholder="<?php _e('Enter words and hit enter' , 'hbthemes'); ?>" name="s" id="search">
		</form>
                      
	</div>
	<!-- END .page-not-found-box -->
<?php
}
add_action ( 'page_custom_content' , 'content_error' );
?>
<?php
get_header();
get_footer();
?>