<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */
?>
<?php 
// Category posts
function hb_archive_content() { 

	if ( is_tag() && tag_description() ) {
		echo tag_description();
		echo '<div class="separator"></div>';
	} else if ( is_category() && category_description() ) {
		echo category_description();
		echo '<div class="separator"></div>';
	}
	?>

	<?php 
	if ( have_posts() ) :
		?>
		<div class="post-articles">
		<?php
		$row_count = true;
		while ( have_posts() ) : the_post(); 			
			$thumb = get_post_thumbnail_id();
			$img_url = wp_get_attachment_url( $thumb,'full'); //get img URL
			$image = hb_resize( $img_url, 500, 333, true ); //resize & crop img

			$video_link = get_post_meta ( get_the_ID() , 'hb_post_video_link' , true );
			$audio_link = get_post_meta ( get_the_ID() , 'hb_post_audio_link' , true );
			// print each arhive post
			?>
			
			<?php if ( $row_count ) { ?>
				<!-- BEGIN .row -->
				<div class="row">
			<?php } $row_count = !$row_count; ?>
			
			<?php include ( 'framework/includes/post_item.php' ); ?>
			
			<?php if ( $row_count ) { ?>
				<!-- END .row -->
				</div>
			<?php } ?>
			
			<?php
		endwhile;
		?>
		
		<?php if ( !$row_count ) { ?>
			<!-- END .row -->
			</div>
		<?php } ?>
		
		<?php
		hb_pagination(); 
		?>
		</div>
		<?php
	endif;
}
add_action ( 'page_custom_content' , 'hb_archive_content' ); 

function hb_post_slider_category() {
	global $data;

	$delimiter = ($data['hb_slider_delimiter'] ? $data['hb_slider_delimiter'] : '<span class="delimiter">&middot;</span>');

	$category = single_term_title("", false);
	$catid = get_cat_ID( $category );
	
	$cat_options = get_option ( "st_tax_meta_{$catid}" );
	$slider_enable = '';
	if ( isset ( $cat_options['hb_post_slider']))
		$slider_enable = $cat_options['hb_post_slider'];
	$post_count = 5;
	if ( isset ( $cat_options['hb_post_slider_count']))
		$post_count = $cat_options['hb_post_slider_count'];
	if ($slider_enable == 'y')		
		hb_post_slider ( $post_count, $catid, $data['hb_slider_show_excerpt'] , $data['hb_slider_show_views'], false, $data['hb_slider_show_reviews'] , $data['hb_slider_show_author'], $data['hb_slider_show_date'], $data['hb_slider_show_categories'], $data['hb_slider_show_comments'], $delimiter);
}
add_action( 'page_custom_before_content' , 'hb_post_slider_category')
?>
<?php get_header(); ?>
<?php get_footer(); ?>