<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */

global $data;
?>
	
		</div>
        <!-- END #main-content-area -->
		
		<?php do_action ( 'hb_after_layout' , get_the_ID() ); ?>
        
		<?php if ( $data['hb_twitter_line'] && $data['hb_twitter_username'] ) { ?>
        	<?php
			$tweets = getTweets(1, $data['hb_twitter_username']);
			if ( !empty($tweets) ) { ?>
				<!-- BEGIN .twitter-line -->
				<div class="twitter-line">
					<div id="twitter-post" class="container">
					<ul class="tweet_list"><li>
					<?php
						$tweet = $tweets[0];
						hb_tweet_format ( $tweet ); 
					?>
					</li></ul>
				</div>
				</div>
				<!-- END .twitter-line -->
			<?php } ?>
		<?php } ?>

	</div>
	<!-- END #content-wrapper -->


	<?php if ( !$data['hb_disable_footer_widgets'] ) { 

		// Set Footer Layout
		$hb_footer_class = array(
				'footer-style-01.png'=>array('1'=>'col-3', '2'=>'col-3', '3'=>'col-3', '4'=>'col-3'),
				'footer-style-02.png'=>array('1'=>'col-3', '2'=>'col-3', '3'=>'col-6', '4'=>'hidden'),
				'footer-style-03.png'=>array('1'=>'col-6', '2'=>'col-3', '3'=>'col-3', '4'=>'hidden'),
				'footer-style-04.png'=>array('1'=>'col-3', '2'=>'col-6', '3'=>'col-3', '4'=>'hidden'),
				'footer-style-05.png'=>array('1'=>'col-4', '2'=>'col-4', '3'=>'col-4', '4'=>'hidden'),
				'footer-style-06.png'=>array('1'=>'col-8', '2'=>'col-4', '3'=>'hidden', '4'=>'hidden'),
				'footer-style-07.png'=>array('1'=>'col-4', '2'=>'col-8', '3'=>'hidden', '4'=>'hidden'),
				'footer-style-08.png'=>array('1'=>'col-6', '2'=>'col-6', '3'=>'hidden', '4'=>'hidden'),
				'footer-style-09.png'=>array('1'=>'col-3', '2'=>'col-9', '3'=>'hidden', '4'=>'hidden'),
				'footer-style-10.png'=>array('1'=>'col-9', '2'=>'col-3', '3'=>'hidden', '4'=>'hidden'),
				'footer-style-11.png'=>array('1'=>'col-12', '2'=>'hidden', '3'=>'hidden', '4'=>'hidden'),

			);
		$hb_footer_style = $data['hb_footer_layout'];
			
		if ( !$hb_footer_style ) $hb_footer_style = 'footer-style-01.png';
			

	?>
	<?php 
		$hide_image_class = "";
		if ($data['hb_disable_footer_bg'])
			$hide_image_class = " class='hide-image-bg'";
	?>
	<!-- BEGIN #footer-wrapper -->
    <div id="footer-wrapper"<?php echo $hide_image_class; ?>>

    	<!-- BEGIN #footer-inner -->
    	<div class="container" id="footer-inner">
			<div class="arrow-down" id="content-down-arrow"></div>

			<div class="row">
				<?php			 
					for( $i=1 ; $i<=4; $i++ ) {
						echo '<div class="' . $hb_footer_class[$hb_footer_style][$i] . ' widget-column">';
						dynamic_sidebar(__('Footer ','hbthemes') . $i);
						echo '</div>';
					}
				?>
			</div>
        </div>
        <!-- END #footer-inner -->

   	</div>
	<!-- END #footer-wrapper -->
	<?php } ?>


	<?php if ( !$data['hb_disable_copyright_line'] ) { ?>
	<!-- BEGIN #copyright-line -->
	<div id="copyright-line">
		<div class="container clearfix"> 
			<?php if ( $data['hb_copyright_text'] ) { ?>
			<p id="copyright" class="floatleft"><?php echo $data['hb_copyright_text']; ?></p>
			<?php } ?>

			<?php
			if ( has_nav_menu ('footer-menu') ) {
				wp_nav_menu( array ( 'theme_location' => 'footer-menu' , 'container_id' => 'bottom-nav-wrapper', 'container_class'=> 'floatright', 'menu_id'=>'bottom-nav', 'before' => '<span>/</span>') );
			} 
			?>
		</div>
	</div>
	<!-- END #copyright-line -->
	<?php } ?>

	<?php 
	if ($data['hb_analytics_code']) 
		echo $data['hb_analytics_code']; 
	?>
	
	<?php wp_footer(); ?>

</div>
<!-- END #main-wrapper -->

<?php if ( $data['hb_enable_to_top'] ) { ?>
<!-- BEGIN #return-to-top -->
<a href="#" id="scrollTop">
	<span class="icon-double-angle-up"></span>
</a>
<!-- END #return-to-top -->
<?php } ?>
</body>
</html>