<?php
	/****************** HB HERO *******************************/
	function hb_button_shortcode ( $atts ) {
		extract( shortcode_atts( array(
			'button_title' => '',
			'button_link' => '#',
			'button_size' => '',
			'button_color'=> '',
			'target' => '',
		), $atts ) );
 
		$output = '';

		
		if ( $button_title ) {
			$output .= '<a href="' . $button_link . '" class="hb-button ' . $button_size . '" target="' . $target . '" style="background-color:' . $button_color . '">' . $button_title . '</a>';
		}
		
		return $output;
	}
	add_shortcode( 'hb_button', 'hb_button_shortcode' );
	

	/*********************** MAP SHORTCODE *******************************/
	if (function_exists('wpb_map')){

	wpb_map( array(
	   "name" => __("HB Button" , "hbthemes"),
	   "base" => "hb_button",
	   "class" => "",
	   "icon" => "icon-wpb-button",
	   "category" => "Content",
	   "params" => array(
        	array(
                "type" => "textfield",
                "heading" => __("Title", "js_composer"),
                "param_name" => "button_title",
                "value" => "",
                "description" => __("Enter a title for the button. Leave empty if you do not want a button to be displayed.", "js_composer")
        	),
        	array(
                "type" => "textfield",
                "heading" => __("Link", "js_composer"),
                "param_name" => "button_link",
                "value" => "",
                "description" => __("Enter a link for the HB Hero Button", "js_composer")
        	),
        	array(
	            "type" => "dropdown",
	            "heading" => __("Open Link in new: ", "js_composer"),
	            "param_name" => "target",
	            "value" => array(
	            	'Same Tab/Window' => '_self',
	            	'New Tab/Window' => '_blank',
	            	),
	            "description" => __("", "js_composer")
	        ),
	        array(
	            "type" => "dropdown",
	            "heading" => __("Button Size: ", "js_composer"),
	            "param_name" => "button_size",
	            "value" => array(
	            	'Large' => 'large',
	            	'Medium' => 'medium',
	            	'Small' => 'small'
	            	),
	            "description" => __("", "js_composer")
	        ),
	        array(
		         "type" => "colorpicker",
		         "holder" => "div",
		         "class" => "",
		         "heading" => __("Text color",'js_composer'),
		         "param_name" => "button_color",
		         "value" => '#FF0000', //Default Red color
		         "description" => __("Choose Button color",'js_composer')
		      )
	   	),
	   
	) );
}
?>