<?php
	/****************** ICON *******************************/
	function hb_icon_shortcode ( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'icon' => '',
            'size' => '',
			'color' => '',
			'rotate' => '',
			'flip' => '',
			'border' => '',
			'pull' => '',
			'spin' => '',
		), $atts ) );

		$classes = array ( $icon, $size, $rotate, $flip, $border, $pull, $spin);
		$classes = implode ( " " , $classes);
		$classes = trim($classes);
		return '<i class="' . $classes . '" style="color:' . $color . '"></i>';
	}
	add_shortcode( 'hb_icon', 'hb_icon_shortcode' );
	

	/*********************** MAP SHORTCODE *******************************/
    if (function_exists('wpb_map')){
	wpb_map( array(
    "name"		=> __("HB Icon", "js_composer"),
    "base"		=> "hb_icon",
    "class"		=> "",
	"icon"		=> "icon-wpb-information-icon",
    "category"  => __('Content', 'js_composer'),
    "params"	=> array(
    	array(
                "type" => "textfield",
                "heading" => __("Icon Name", "js_composer"),
                "param_name" => "icon",
                "value" => "",
                "description" => __("Font Awesome icon class name.", "js_composer")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Icon Size", "js_composer"),
            "param_name" => "size",
            "value" => array( 
                __('Normal', 'hbthemes') => '' , 
                __('Icon Large', "js_composer") => "icon-large", 
                __('Icon 2x', "js_composer") => "icon-2x", 
                __('Icon 3x', "js_composer") => "icon-3x", 
                __('Icon 4x', "js_composer") => "icon-4x", 
                __('Icon 5x', "js_composer") => "icon-5x", 
                __('Icon 6x', "js_composer") => "icon-6x", 
                __('Icon 7x', "js_composer") => "icon-7x", 
                __('Icon 8x', "js_composer") => "icon-8x", 
                __('Icon 9x', "js_composer") => "icon-9x"),
            "description" => __("Select message type.", "js_composer")
        ),
        array(
            "type" => "colorpicker",
            "heading" => __("Icon Color", "js_composer"),
            "param_name" => "color",
            "description" => __("Icon color.", "js_composer")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Rotate Icon", "js_composer"),
            "param_name" => "rotate",
            "value" => array( 
            	__('None', 'hbthemes') => '' , 
            	__('Rotate 90', "js_composer") => "icon-rotate-90", 
            	__('Rotate 180', "js_composer") => "icon-rotate-180", 
            	__('Rotate 270', "js_composer") => "icon-rotate-270"
            ),
            "description" => __("Rotate icon for 90, 180 or 270 degrees.", "js_composer")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Icon Border", "js_composer"),
            "param_name" => "border",
            "value" => array( 
            	__('No', 'hbthemes') => '' , 
            	__('Yes', "js_composer") => "icon-border"
            ),
            "description" => __("Add border to icon or not.", "js_composer")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Flip Icon", "js_composer"),
            "param_name" => "flip",
            "value" => array( 
            	__('None', 'hbthemes') => '' , 
            	__('Horizontal', "js_composer") => "icon-flip-horizontal", 
            	__('Vertical', "js_composer") => "icon-flip-vertical"
            ),
            "description" => __("Flip the icon horizontally or vertically.", "js_composer")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Pull Icon", "js_composer"),
            "param_name" => "pull",
            "value" => array( 
            	__('None', 'hbthemes') => '' , 
            	__('Right', "js_composer") => "icon-pull-right", 
            	__('Left', "js_composer") => "icon-pull-left"
            ),
            "description" => __("Pull the icon left or right.", "js_composer")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Spin Icon", "js_composer"),
            "param_name" => "spin",
            "value" => array( 
            	__('No', 'hbthemes') => '' , 
            	__('Yes', "js_composer") => "icon-spin"
            ),
            "description" => __("Spin the icon.", "js_composer")
        ),
    ),
) );
}
?>