<?php
	/****************** INFO BOX *******************************/
	function hb_infobox_shortcode ( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'title' => '',
            'subtitle' => '',
			'type' => '',
		), $atts ) );

		$output = '';
		if ( $title )
			$output .= do_shortcode('[hb_title subtitle="' . $subtitle . '"]' . $title . '[/hb_title]');

        $output .= '<div class="hb-alert-box ' . $type . '">';
        $output .= '<p>' . do_shortcode($content) . '</p>';
        $output .= '<i>' . $type . '</i>';
        $output .= '</div>';

		return $output;
	}
	add_shortcode( 'hb_info_box', 'hb_infobox_shortcode' );
	

	/*********************** MAP SHORTCODE *******************************/
    if (function_exists('wpb_map')){

    wpb_map( array(
    "name"		=> __("HB Message box", "js_composer"),
    "base"		=> "hb_info_box",
    "class"		=> "wpb_vc_messagebox wpb_controls_top_right",
	"icon"		=> "icon-wpb-information-white",
    "wrapper_class" => "alert",
    "category"  => __('Content', 'js_composer'),
    "params"	=> array(
    	array(
                "type" => "textfield",
                "heading" => __("Title", "js_composer"),
                "param_name" => "title",
                "value" => "",
                "description" => __("Leave empty if you do not want a title section.", "js_composer")
        ),
        array(
                "type" => "textfield",
                "heading" => __("Subtitle", "js_composer"),
                "param_name" => "subtitle",
                "value" => "",
                "description" => __("Leave empty if you do not want a subtitle section.", "js_composer")
        ),
        array(
            "type" => "dropdown",
            "heading" => __("Message box type", "js_composer"),
            "param_name" => "type",
            "value" => array(__('Informational', "js_composer") => "info", __('Notice', "js_composer") => "notice", __('Success', "js_composer") => "success", __('Error', "js_composer") => "error"),
            "description" => __("Select message type.", "js_composer")
        ),
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "class" => "messagebox_text",
            "heading" => __("Message text", "js_composer"),
            "param_name" => "content",
            "value" => __("<p>I am message box. Click edit button to change this text.</p>", "js_composer"),
            "description" => __("Message text.", "js_composer")
        ),
    ),
) );
}
?>