<?php
	/****************** HB HERO *******************************/
	function hb_separator_shortcode ( $atts ) {
		extract( shortcode_atts( array(
			'style' => '',
		), $atts ) );

		if ( $style == 'big')
			return '<hr class="big-separator" />';
		return '<hr/>';

	}
	add_shortcode( 'hb_separator', 'hb_separator_shortcode' );
	

	/*********************** MAP SHORTCODE *******************************/
	if (function_exists('wpb_map')){

		wpb_map( array(
		   "name" => __("HB Separator" , "hbthemes"),
		   "base" => "hb_separator",
		   "class" => "",
		   "icon" => "icon-wpb-separator",
		   "category" => "Content",
		   "params" => array(
	        	array(
		            "type" => "dropdown",
		            "heading" => __("Separator style: ", "js_composer"),
		            "param_name" => "style",
		            "value" => array(
		            	'Normal' => 'normal',
		            	'Bold' => 'big',
		            	),
		            "description" => __("", "js_composer")
		        ),
		   	),
		   
		) );
	}
?>