<?php
	/****************** POST LIST *************************/	
	function hb_spacer_shortcode ( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'height' => '',
			'unit' => '',
		), $atts ) );

		return '<div class="spacer" style="height:' . $height . $unit . '"></div>';
	}
	add_shortcode( 'hb_spacer', 'hb_spacer_shortcode' );

	/*********************** MAP SHORTCODE *******************************/
	if (function_exists('wpb_map')){

		wpb_map( array(
		    "name"		=> __("HB Spacer", "js_composer"),
		    "base"		=> "hb_spacer",
		    "controls"	=> "full",
		    "show_settings_on_create" => true,
		    "class"		=> "hb_post_list-spacer",
			"icon"		=> "icon-wpb-ui-hb-spacer",
			"category"  => __('Content', 'js_composer'),
		//	"wrapper_class" => "clearfix",
		    "params"	=> array(
		        array(
		            "type" => "textfield",
		            "heading" => __("Height", "js_composer"),
		            "param_name" => "height",
		            "value" => "",
		            "description" => __("Enter spacer height.", "js_composer")
		        ),
		        array(
		            "type" => "dropdown",
		            "heading" => __("Spacer height unit.", "js_composer"),
		            "param_name" => "unit",
		            "value" => array( 'px' => 'px' , 'pt' => 'pt', 'em' => 'em'),
		            "description" => __("Choose spacer height unit.", "js_composer")
		        ),
		    )
		) );
	}
?>