<?php
function vc_theme_vc_tabs($atts, $content = null) {
   
  $output = $title = '';
  extract(shortcode_atts(array(
      'title' => '',
  ), $atts));


  // Extract tab titles
  preg_match_all( '/vc_tab title="([^\"]+)"(\stab_id\=\"([^\"]+)\"){0,1}/i', $content, $matches, PREG_OFFSET_CAPTURE );
  $tab_titles = array();

  /**
   * vc_tabs
   *
   */
  if ( isset($matches[0]) ) { $tab_titles = $matches[0]; }
  $tabs_nav = '';
  $tabs_nav .= '<ul class="titles clearfix autop">';
  foreach ( $tab_titles as $tab ) {
      preg_match('/title="([^\"]+)"(\stab_id\=\"([^\"]+)\"){0,1}/i', $tab[0], $tab_matches, PREG_OFFSET_CAPTURE );
      if(isset($tab_matches[1][0])) {
          $tabs_nav .= '<li><a href="#">' . $tab_matches[1][0] . '</a></li>';

      }
  }
  $tabs_nav .= '</ul>'."\n";


  $output .= wpb_widget_title(array('title' => $title, 'extraclass' => $element.'_heading'));

  $output .= '<div class="hb-tabs clearfix autop">';
  $output .= "\n\t\t\t".$tabs_nav;

  $output .= "\n\t".'<div class="contents clearfix">';
  $output .= "\n\t\t\t".wpb_js_remove_wpautop($content);
  $output .= "\n\t".'</div> ';
  $output .= '</div>';
  return $output;
}

function vc_theme_vc_tab($atts, $content = null) {

  $output = $title = "";
  extract(shortcode_atts(array(
      'title' => '',
  ), $atts));

  $output .= "\n\t\t\t" . '<div>';
  $output .= ($content=='' || $content==' ') ? __("<p>Empty section. Edit page to add content here.</p>", "js_composer") : "\n\t\t\t\t" . wpb_js_remove_wpautop($content);
  $output .= "\n\t\t\t" . '</div> ';

  return $output;
}

?>