<?php
function hb_post_meta_details( $post_id , $date = false, $posted_by = false, $categories = false,  $comments = false, $views = false, $delimiter = '<span class="sep"> | </span>' ) {
	
	global $post;
	$old_post = $post;
	$post = get_post($post_id);

	if ( $date ) { ?>
		<!-- Time info -->
		<a href="<?php echo get_month_link(get_the_time('Y'), get_the_time('m')); ?>" title=" <?php the_time('g:i a'); ?>">
			<time class="entry-date" datetime="<?php the_time('c'); ?>"><?php  the_time( get_option('date_format') ); ?></time>
		</a>
		<?php echo $delimiter; ?>	
	<?php } ?>


	<?php if ($posted_by) { ?>
		<div class="author vcard">
		<!-- Author info -->
		<span><?php _e('Posted by ', 'hbthemes'); ?></span>
		<a href="<?php echo get_author_posts_url ( get_the_author_meta ('ID') ); ?>" class="url fn n" rel="author"><?php the_author_meta ( 'display_name' , get_the_author_meta ('ID') ); ?></a>
		</div>
		<?php echo $delimiter; ?>	
	<?php } ?>
	
	<?php if ( $categories ) { ?>
		<!-- Category info -->
		<?php 
			$categories = get_the_category();
			$separator = '';
			$output = '';
			if($categories){
				$count_cat = count ( $categories );
				$clear_margin = '';
				foreach($categories as $category) {
					$count_cat--;
					if ( $count_cat == 0 ) $clear_margin = " clear-margin";
					$cat_options = get_option ( "st_tax_meta_{$category->term_id}" );
					$output .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s", "hbthemes" ), $category->name ) ) . '" class="meta-cat-list' . $clear_margin . '">';
					if ( $cat_options['bg_color'] )
						$output .= '<span class="category-square category-square-' . $category->slug . '"></span>';
					else 
						$output .= '<span class="category-square empty-color"></span>';
					
					$output .= $category->cat_name.'</a>'.$separator;
				}
			echo trim($output, $separator);}
		?>
		<?php echo $delimiter; ?>	
	<?php } ?>
		
	<?php if ( $comments && comments_open( $post_id ) ) { ?>
		<span class="comments-link">
			<a href="<?php echo get_permalink ( $post_id ); ?>#comments" title="<?php printf ( __("Comment on %s" , "hbthemes" ) , get_the_title()); ?>">
				<span class="leave-reply">
					<?php comments_number( __( '0 comments' , 'hbthemes' ) , __( '1 comment' , 'hbthemes' ), __( '% comments' , 'hbthemes' ) ); ?> 
				</span>
			</a>
		</span>
		<?php echo $delimiter; ?>	
    <?php } ?>
       
     <?php if ( $views ) { ?>
        <span class="post-views"><?php echo hb_post_view_count(get_the_ID()); _e(' views' , 'hbthemes'); ?></span>
		<?php echo $delimiter; ?>	
    <?php } 
        $post = $old_post;
}
?>