<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */
?>
<?php 
// Category posts
function hb_author_content() { ?>

	<?php $curauth = (isset($_GET['author_name'])) ? get_user_by('slug', $_GET['author_name']) : get_userdata($_GET['author']);  ?>

	<!-- BEGIN .author-box -->
	<div class="author-box-content post-author clearfix">
		<?php
			$author_url = '';
			if (get_the_author_meta('user_url', $curauth->ID)) {
				$author_url = 'href ="' .get_the_author_meta('user_url', $curauth->ID ) .'" title=" ' . get_the_author_meta('user_url', $curauth->ID ) . '"';
			} ?>
		<a <?php echo $author_url; ?> class="author-img-link"><?php echo get_avatar( get_the_author_meta('user_email' , $curauth->ID) , 96); ?></a>
		
		<!-- BEGIN .author-desc -->
		<div class="author-desc">
			<h3 class="author-title"><a><?php the_author_meta ( 'display_name' , $curauth->ID ); ?></a><span class="user-posts"><?php echo '(' . count_user_posts ( $curauth->ID );
				if ( count_user_posts ( $curauth->ID ) > 1 || count_user_posts ( $curauth->ID ) == 0 )
					_e(' articles', 'hbthemes');
					else _e(' article', 'hbthemes'); 
					echo ')'; ?></span></h3>
			<div class="author-text">
				<?php the_author_meta ( 'user_description' , $curauth->ID ); ?>
				<?php //echo count_user_posts ( $user->ID ); ?>
			</div>
		</div>
		<!-- END .author-desc -->

		<?php $user_soc = hb_get_user_socials ( $curauth->ID ); ?>
		<ul class="ssm">
			<?php foreach ( $user_soc as $soc => $soc_details ) { 
				if ( $soc_details['soc_link'] != '' ) { ?>
					<li class="<?php echo $soc; ?>" title="<?php echo $soc_details['soc_name']; ?>"><a href="<?php echo $soc_details['soc_link']; ?>"><?php echo $soc; ?></a></li>
				<?php }	
				} ?>
		</ul>

	</div>
	<!-- END .author-box -->

	<div class="separator"></div>


	<?php 
	if ( have_posts() ) :
		$row_count = true;
		while ( have_posts() ) : the_post(); 			
			$thumb = get_post_thumbnail_id();
			$img_url = wp_get_attachment_url( $thumb,'full'); //get img URL
			$image = hb_resize( $img_url, 500, 333, true ); //resize & crop img

			$video_link = get_post_meta ( get_the_ID() , 'hb_post_video_link' , true );
			$audio_link = get_post_meta ( get_the_ID() , 'hb_post_audio_link' , true );
			// print each author post
			?>
			
			<?php if ( $row_count ) { ?>
				<!-- BEGIN .row -->
				<div class="row">
			<?php } $row_count = !$row_count; ?>
			
			<?php include ( 'framework/includes/post_item.php' ); ?>	
			
			<?php if ( $row_count ) { ?>
				<!-- END .row -->
				</div>
			<?php } ?>
			
			<?php
		endwhile;
		?>
		
		<?php if ( !$row_count ) { ?>
			<!-- END .row -->
			</div>
		<?php } ?>
		
		<?php
		hb_pagination(); 
				
	endif;
}
add_action ( 'page_custom_content' , 'hb_author_content' ); 
?>
<?php get_header(); ?>
<?php get_footer(); ?>