jQuery(document).ready(function () {


	function hide_all_post_meta_boxes() {
		if( jQuery('.post-type-post').length ) 	{
			if( jQuery('.postbox').length ) {
				jQuery('#hb_post_video_link').parent().parent().hide();
				jQuery('#hb_post_audio_link').parent().parent().hide();
			}
			
			var video = jQuery('#post-format-video').attr('checked');
			var audio = jQuery('#post-format-audio').attr('checked');
			
			if ( audio == 'checked' ) {
				jQuery('#hb_post_audio_link').parent().parent().show();
			} else if ( video == 'checked' ) {
				jQuery('#hb_post_video_link').parent().parent().show();
			}
		}

		if( jQuery('.post-type-page').length ) 	{
			jQuery('#template_settings').hide();
			jQuery('#landing_settings').hide();
		}
	}
	
	function show_page_meta_boxes() {
		hide_all_post_meta_boxes();
		
		var current;
		
		jQuery('#page_template').find("option").each( function() {
			if (jQuery(this).attr("selected") == "selected" ){
				current = jQuery(this).val();
			}
		});

		switch( current ){
			case 'page-post-thumbs.php' :
				jQuery('#template_settings').show();
			break;

			case 'page-horizontal-posts.php' :
				jQuery('#template_settings').show();
			break;

			case 'page-landing.php' :
				jQuery('#landing_settings').show();
			break;
		}
	}
		
	
	show_page_meta_boxes();

	jQuery('#page_template').change( function() {
		show_page_meta_boxes();	
	});

	jQuery('#post-format-0').live("click", function () {
		hide_all_post_meta_boxes();
	});
	
	jQuery('#post-format-video').live("click", function () {
		hide_all_post_meta_boxes();
		jQuery('#hb_post_video_link').parent().parent().show();
	});


	jQuery('#post-format-audio').live("click", function () {
		hide_all_post_meta_boxes();
		jQuery('#hb_post_audio_link').parent().parent().show();
	});
	
});
