<?php
	/****************** ADS *******************************/
	function hb_ads_shortcode ( $atts ) {
		extract( shortcode_atts( array(
			'area' => ''
		), $atts ) );

		global $data;
 
		$output = '<div class="ad-shortcode">';

		$all_ads = $data[$area];
		$random_ad_index = array_rand($all_ads);
		$random_ad = $all_ads[$random_ad_index];

		if ( $random_ad['html'] ) {
			$output .= $random_ad['html']; 
		} else { 
			if ( $random_ad['link'] ) { 
				$output .= '<a href="' . $random_ad['link'] . '">';
			} 

				$output .= '<img src="' . $random_ad['url'] . '" alt="' . $random_ad['title'] . '">';			
			if ( $random_ad['link'] ) { 
				$output .= '</a>';
			} 
		}

		$output .= '</div>';
		
		return $output;
	}
	add_shortcode( 'hb_ads', 'hb_ads_shortcode' );
	

	/*********************** MAP SHORTCODE *******************************/
	if (function_exists('wpb_map')){

	wpb_map( array(
	   "name" => __("HB Ads" , "hbthemes"),
	   "base" => "hb_ads",
	   "class" => "",
	   "icon" => "icon-wpb-ads",
	   "category" => "Content",
	   "params" => array(
        	array(
	            "type" => "dropdown",
	            "heading" => __("Display a random ad from: ", "js_composer"),
	            "param_name" => "area",
	            "value" => array(
	            	"Leaderboard ads" => 'hb_leaderboard_ads',
	            	"Before Main Content ads" => 'hb_before_main_content_ads',
	            	"After Title ads" => "hb_top_main_content_ads",
	            	"Before Comments ads" => "hb_comments_content_ads",
	            	"After Main Content ads" => "hb_after_content_ads"
	            	),
	            "description" => __("", "js_composer")
	        )
	   	),
	   
	) );
}
?>