<?php
	/****************** ADS *******************************/
	function hb_heading_shortcode ( $atts, $content = null ) {
		extract( shortcode_atts( array(
			'type' => ''
		), $atts ) );

		return "<" . $type . ">" . do_shortcode($content) . "</" . $type . ">";
	}
	add_shortcode( 'hb_heading', 'hb_heading_shortcode' );
	

	/*********************** MAP SHORTCODE *******************************/
	if (function_exists('wpb_map')){

	wpb_map( array(
	   "name" => __("HB Headings" , "hbthemes"),
	   "base" => "hb_heading",
	   "class" => "",
	   "icon" => "icon-wpb-heading",
	   "category" => "Content",
	   "params" => array(
        	array(
	            "type" => "dropdown",
	            "heading" => __("Select a heading type: ", "js_composer"),
	            "param_name" => "type",
	            "value" => array(
	            	"Heading 1" => 'h1',
	            	"Heading 2" => 'h2',
	            	"Heading 3" => 'h3',
	            	"Heading 4" => 'h4',
	            	"Heading 5" => 'h5',
	            	"Heading 6" => 'h6',
	            	),
	            "description" => __("", "js_composer")
	        ),
	        array(
	            "type" => "textarea_html",
	            "heading" => __("Heading content: ", "js_composer"),
	            "param_name" => "content",
	    		"value" => "",
	            "description" => __("", "js_composer")
	        )
	   	),
	   
	) );
}
?>