<?php
	/****************** SOCIAL LIST *******************************/
	function hb_socials_shortcode ( $atts ) {
		extract( shortcode_atts( array(
			'network' => '',
			'link' => '',
		), $atts ) );
 
		$output = '<li class="' . str_replace ( ' ' , '' , strtolower ( $network ) ) . '" original-title="' . $network . '">';
		$output .= '<a href="' . $link . '">' . $network . '</a>';
		$output .= '</li>';
		
		return $output;
	}
	add_shortcode( 'hb_social_icon', 'hb_socials_shortcode' );
	
	function hb_social_list_shortcode ( $atts , $content = null ) {
		$soc_array = hb_get_all_socials();
		$soc_array = array_merge(array("title"=>"", "subtitle"=>"", "style"=>""), $soc_array);
		
		extract( shortcode_atts( $soc_array , $atts ) );
		
		$output = '';
		if ( !empty ( $soc_array ) )
			foreach ( $soc_array as $key=>$value ) {
				if ( $$key != $value && $key!= "style" && $key != 'title' && $key != 'subtitle')
					$output .= '[hb_social_icon network="' . $value .'" link="' . $$key . '"]';
			}
		
		if ( $title ) 
			return do_shortcode('[hb_title subtitle="' . $subtitle . '"]' . $title . '[/hb_title]') . '<ul class="ss">' . do_shortcode ( $output ) . '</ul>';
		else 
			return '<ul class="' . $style . '">' . do_shortcode ( $output ) . '</ul>';
	}
	add_shortcode( 'hb_social_list', 'hb_social_list_shortcode' );


	/*********************** MAP SHORTCODE *******************************/
		if (function_exists('wpb_map')){

			$soc_array = hb_get_all_socials();
				
			$parameters = array();
			$parameters[] = array(
					"type" => "textfield",
					 "holder" => "div",
					 "class" => "",
					 "heading" =>__("Title","hbthemes"),
					 "param_name" => "title",
					 "value" => "",
					 "description" => ""
				);
			$parameters[] = array(
					"type" => "textfield",
					 "holder" => "div",
					 "class" => "",
					 "heading" =>__("Subtitle","hbthemes"),
					 "param_name" => "subtitle",
					 "value" => "",
					 "description" => ""
				);
			$parameters[] = array(
			            "type" => "dropdown",
			            "heading" => __("Choose the social style: ", "js_composer"),
			            "param_name" => "style",
			            "value" => array(
			            	'Style 1' => 'ss',
			            	'Style 2' => 'ssm',
			            	),
			            "description" => ""
			        );

			foreach ( $soc_array as $key=>$value ) {
				$parameters[] = array(
					 "type" => "textfield",
					 "holder" => "div",
					 "class" => "",
					 "heading" =>$value,
					 "param_name" => $key,
					 "value" => "",
					 "description" => $value . __(" link: ")
				  );
			}
			wpb_map( array(
			   "name" => __("HB Social List" , "hbthemes"),
			   "base" => "hb_social_list",
			   "class" => "",
			   "icon" => "icon-wpb-social_list",
			   "category" => __("Social" , "hbthemes"),
			   "params" => $parameters,
			   
			) );
		}
?>