<?php
	/****************** Title *************************/	
	function hb_title_shortcode ( $atts, $content = null ) {
		extract( shortcode_atts( array(
            'subtitle' => '',
		), $atts ) );

		$output = "<div class=\"page-title-box clearfix\">
                <h1 class=\"page-title\">" . do_shortcode($content) . "</h1>
                </div>";

        if ($subtitle)
        	$output .= "<h3 class=\"sub-title\">$subtitle</h3>";

        return $output;
	}
	add_shortcode( 'hb_title', 'hb_title_shortcode' );


	/*********************** MAP SHORTCODE *******************************/
	if (function_exists('wpb_map')){
		wpb_map( array(
		   "name" => __("HB Title" , "hbthemes"),
		   "base" => "hb_title",
		   "class" => "",
		   "icon" => "icon-wpb-title",
		   "category" => "Content",
		   "params" => array(
		   		array(
	                "type" => "textfield",
	                "heading" => __("Title", "js_composer"),
	                "param_name" => "content",
	                "value" => "",
	                "description" => __("Leave empty if you do not want a title section.", "js_composer")
	        	),
	        	array(
	                "type" => "textfield",
	                "heading" => __("Subtitle", "js_composer"),
	                "param_name" => "subtitle",
	                "value" => "",
	                "description" => __("Leave empty if you do not want a subtitle section.", "js_composer")
	        	),
		   	),
		   
		) );
	}
?>