<?php
// save
//add_action( 'edited_taxonomyname', 'save_extra_fields_callback', 10, 2);
//$taxonomies=get_taxonomies('','names'); 
$taxonomies = array('category');
foreach ($taxonomies as $taxonomy ) {
    add_action("created_{$taxonomy}", 'st_save_tax_extra', 10, 1);
    add_action("edited_{$taxonomy}", 'st_save_tax_extra', 10, 1);
    add_action("{$taxonomy}_edit_form_fields", 'extra_tax_fields', 1, 2);
    add_action("{$taxonomy}_add_form_fields", 'extra_tax_fields', 10, 2);
    add_action("delete_{$taxonomy}", 'st_del_extra_tax', 10, 3);
}



function st_del_extra_tax($term='', $tt_id='', $deleted_term=''){
    delete_option('st_tax_meta_'.$term);
}


function st_save_tax_extra($term_id){
    update_option('st_tax_meta_'.$term_id,$_REQUEST['st_tax_meta']);
}

//add extra fields to custom taxonomy edit form callback function
function extra_tax_fields($tag) {
   //check for existing taxonomy meta for term ID
    $t_id = $tag->term_id;
    $term_meta = get_option( "st_tax_meta_{$t_id}");
    
	$posts_categories = array();
	$of_categories_obj = get_categories('hide_empty=0');
	foreach ($of_categories_obj as $of_cat) {
		$posts_categories[$of_cat->term_id] = $of_cat->cat_name;
	}



    $rev_slider_list = array();

    if(class_exists('RevSlider')){
        $slider = new RevSlider();
        $arrSliders = $slider->getArrSliders();
        foreach($arrSliders as $revSlider) { 
            $rev_slider_list[$revSlider->getAlias()] = $revSlider->getTitle();
        }
    }

    global $wp_registered_sidebars;
        $st_sidebars = $wp_registered_sidebars;
        $tpl_sidebars = array();
        foreach($st_sidebars as $k=> $s){
			if ( $s['name'] != "Footer 1" && $s['name'] != "Footer 2" && $s['name'] != "Footer 3" && $s['name'] != "Footer 4" )
				$tpl_sidebars[$s['name']] = $s['name'];
        }

    $data = get_option(OPTIONS);

    $bg_tab = array(
    
    array(
            'name'=>'tax_sidebar_a',
            'title'=>__('Sidebar A - Main Sidebar. If the layout has only one sidebar, this one will be used','hbthemes'),
            'type' =>'select',
            'multiple'=> false,
            'options'=>$tpl_sidebars,
            'default'=>$data['hb_sidebar_a'],
            'desc'=>'',
            'desc_bottom'=>''
         ),
		 
	array(
            'name'=>'tax_sidebar_b',
            'title'=>__('Sidebar B','hbthemes'),
            'type' =>'select',
            'multiple'=> false,
            'options'=>$tpl_sidebars,
            'default'=>$data['hb_sidebar_b'],
            'desc'=>'',
            'desc_bottom'=>''
         ),
    
    array(
        'name'        =>'tax_enable_ticker',
        'title'       =>__('Enable Breaking News Ticker','hbthemes'),
        'type'        =>'select',
        'options' => array(
                'n'=>__('No','hbthemes'),
                'y'=>__('Yes','hbthemes')
        ),
        'default'     => $data['hb_enable_ticker'] ? 'y' : 'n',
        'desc'        =>'',
        'desc_bottom' =>''
    ),
    
    array(
        'name'        =>'tax_enable_revolution_slider',
        'title'       =>__('Choose a Revolution Slider','hbthemes'),
        'type'        =>'select',
        'options' => $rev_slider_list,
        'default'     => get_option('hb_enable_ticker') ? 'y' : 'n',
        'desc'        =>'',
        'desc_bottom' =>''
    ),
	
	array(
        'name'        =>'tax_enable_carousel',
        'title'       =>__('Enable Carousel','hbthemes'),
        'type'        =>'select',
        'options' => array(
                'n'=>__('No','hbthemes'),
                'y'=>__('Yes','hbthemes')
        ),
        'default'     =>'',
        'desc'        =>'',
        'desc_bottom' =>''
    ),
	
	array(
        'name'        =>'tax_carousel_title',
        'title'       =>__('Title for post carousel.','hbthemes'),
        'type'        =>'text',
        'default'     =>'',
        'desc'        =>'',
        'desc_bottom' =>''
    ),
    
	array(
        'name'        =>'tax_carousel_category',
        'title'       =>__('Carousel Category. Leave to "Select One" in order to get all posts.','hbthemes'),
        'type'        =>'select',
        'options' => $posts_categories,
        'default'     =>'',
        'desc'        =>'',
        'desc_bottom' =>''
    ),
	
	array(
        'name'        =>'tax_carousel_number',
        'title'       =>__('Number of posts in the carousel. Leave empty or enter -1 to get all posts from the previously specified category.','hbthemes'),
        'type'        =>'text',
        'default'     =>'',
        'desc'        =>'',
        'desc_bottom' =>''
    ),
    
    array(
        'name'        =>'hb_post_slider',
        'title'       =>__('Enable Post Slider','hbthemes'),
        'type'        =>'select',
        'options' => array(
                'n'=>__('No','hbthemes'),
                'y'=>__('Yes','hbthemes')
        ),
        'default'     =>'',
        'desc'        =>'',
        'desc_bottom' =>''
    ),


    array(
        'name'        =>'hb_post_slider_count',
        'title'       =>__('Post Slider Post Count','hbthemes'),
        'type'        =>'text',
        'default'     =>'5',
        'desc'        =>'',
        'desc_bottom' =>''
    ),

    array(
        'name'        =>'hb_post_slider_orderby',
        'title'       =>__('Post Slider Orderby','hbthemes'),
        'type'        =>'select',
        'options' => array(
                'date'=>__('Date','hbthemes'),
                'author'=>__('Author','hbthemes'),
                'title'=>__('Title','hbthemes'),
                'rand'=>__('Random','hbthemes'),
                'comment_count'=>__('Comment Count','hbthemes'),
                'menu_order'=>__('Menu Order','hbthemes'),
        ),
        'default'     =>'',
        'desc'        =>'',
        'desc_bottom' =>''
    ),

    array(
        'name'        =>'hb_post_slider_order',
        'title'       =>__('Post Slider Order','hbthemes'),
        'type'        =>'select',
        'options' => array(
                'ASC'=>__('Ascending','hbthemes'),
                'DESC'=>__('Descending','hbthemes'),
        ),
        'default'     =>'',
        'desc'        =>'',
        'desc_bottom' =>''
    ),

    array(
        'name'        =>'bg_color',
        'title'       =>__('Primary Category Color' , 'hbthemes'),
        'type'        =>'color',
        'default'     =>'',
        'desc'        =>'',
        'desc_bottom' =>''
    ),
    
    array(
        'name'        =>'hb_cat_background_type',
        'title'       =>__('Background Type','hbthemes'),
        'type'        =>'select',
        'options' => array(
                'default'=>__('Default','hbthemes'),
                'plain'=>__('Plain','hbthemes'),
                'texture'=>__('Texture','hbthemes'),
                'image'=>__('Image','hbthemes'),
        ),
        'default'     =>'',
        'desc'        =>__('NOTE: background style only apply when selected Boxed layout.','hbthemes'),
        'desc_bottom' =>''
    ),

    array(
        'name'        =>'hb_cat_background_color',
        'title'       =>__('Plain Background Color' , 'hbthemes'),
        'type'        =>'color',
        'default'     =>'',
        'desc'        =>'',
        'desc_bottom' =>''
    ),

    array(
        'name'        =>'hb_cat_background_image',
        'title'       =>__('Background image' , 'hbthemes'),
        'type'        =>'upload',
        'default'     =>'',
        'desc'        =>__('NOTE: Choose Image Background Type.','hbthemes'),
        'desc_bottom' =>''
    ),

    array(
        'name'        =>'hb_cat_background_texture',
        'title'       =>__('Background texture' , 'hbthemes'),
        'type'        =>'upload',
        'default'     =>'',
        'desc'        =>__('NOTE: Choose Texture Background Type.','hbthemes'),
        'desc_bottom' =>''
    ),
    
     /*array(
        'name'        =>'bg_positon',
        'title'       =>__('Background positon'),
        'type'        =>'select',
        'options' => array(
                'tl'=>__('Top left','hbthemes'),
                'tc'=>__('Top center','hbthemes'),
                'tr'=>__('Top right','hbthemes'),
                'cc'=>__('Center','hbthemes'),
                'bl'=>__('Bottom left','hbthemes'),
                'br'=>__('Bottom right','hbthemes'),
                'bc'=>__('Bottom center','hbthemes'),
        ),
        'default'     =>'',
        'desc'        =>'',
        'desc_bottom' =>''
    ),
    
    array(
        'name'        =>'bg_repreat',
        'title'       =>__('Background repreat'),
        'type'        =>'select',
        'options' => array(
                'n'=>__('No repeat','hbthemes'),
                'x'=>__('Repeat X','hbthemes'),
                'y'=>__('Repeat Y','hbthemes')
        ),
        'default'     =>'',
        'desc'        =>'',
        'desc_bottom' =>''
    )
    ,
    array(
        'name'        =>'bg_fixed',
        'title'       =>__('Background fixed'),
        'type'        =>'select',
        'options' => array(
                'n'=>__('No','hbthemes'),
                'y'=>__('Yes','hbthemes')
        ),
        'desc'        =>'',
        'desc_bottom' =>''
    ),
	
	array(
        'name'        =>'bg_fullwidth',
        'title'       =>__('Fullscreen Background'),
        'type'        =>'select',
        'options' => array(
                'n'=>__('No','hbthemes'),
                'y'=>__('Yes','hbthemes')
        ),
        'desc'        =>'',
        'desc_bottom' =>''
    ),*/

);
    
    
?>
<script type="text/javascript">
 jQuery(document).ready(function(){
    function st_tax_added(){
         jQuery('.STpanel-image-preview').html('');
    }
     var container = document.getElementById ("the-list");
     if(container && container.addEventListener){
         container.addEventListener ('DOMNodeInserted', st_tax_added, false);
     }

 });
</script>

<style type="text/css">
.st_tax_extra_fields .STpanel-input-box input[type="text"]{
    padding: 3px 5px;
}
.st_tax_extra_fields .STpanel-box-title {
     font-size: 16px;
     text-transform: none;
}
</style>
 <?php if($t_id>0): // is _edit  ?>
 <tr>
 <td colspan="2">
    <div class="st_tax_extra_fields">
    <div class="ST">
    <?php 
    $tab_display = new admin_tabs_display($term_meta,'st_tax_meta');
    $tab_display->display_tab_contents($bg_tab); 
    ?>
    </div>
    </div>
 </td>
 </tr>
<?php  else: // add new  ?>

<div class="st_tax_extra_fields">
<div class="ST">
<?php 

$tab_display = new admin_tabs_display($values,'st_tax_meta');
$tab_display->display_tab_contents($bg_tab); 

?>

</div>
</div>

<?php endif; ?>

<?php
}
?>