<?php

	add_filter('wpb_widget_title', 'override_widget_title', 10, 2);
	function override_widget_title($output = '', $params = array('')) {
	  $extraclass = (isset($params['extraclass'])) ? " ".$params['extraclass'] : "";
	  
	  $output = "<div class=\"page-title-box clearfix\">
                <h1 class=\"page-title" . $extraclass . "\">" . $params['title'] . "</h1>
                </div>";
                
        return $output;
	}
	 
	// Remove default shortcodes
	if ( function_exists ( 'wpb_remove' ) ) {
		//wpb_remove ( 'vc_googleplus' );
		
	}
	
	// Redefine [row] shortcode
	function vc_theme_vc_row($atts, $content = null) {
		$el_class = '';
        $output = '';
        
		extract(shortcode_atts(array(
            'el_class' => '',
        ), $atts));
        
		wp_enqueue_style( 'js_composer_front' );
        wp_enqueue_script( 'wpb_composer_front_js' );
        
		$output = '<div class="row ' . $el_class . '">';
		$output .= wpb_js_remove_wpautop($content);
        $output .= '</div>'.WPBakeryShortCode::endBlockComment('row');
		
        return $output;
	}
	
	// Redefine [column] shortcode
	function vc_theme_vc_column($atts, $content = null) {
	
		$el_class = $width = $el_position = '';

        extract(shortcode_atts(array(
            'el_class' => '',
            'el_position' => '',
            'width' => '1/1'
        ), $atts));

        $output = '';

        $el_class = WPBakeryShortCode::getExtraClass($el_class);
        $width = wpb_translateColumnWidthToSpan($width);
		$width = str_replace ( 'vc_span' , 'col-', $width );
		
		
		$output .= "\n\t".'<div class="'.$width.$el_class.'">';//class: wpb_content_element removed
        $output .= "\n\t\t".'<div class="wpb_wrapper">';
        $output .= "\n\t\t\t".wpb_js_remove_wpautop($content);
        $output .= "\n\t\t".'</div> '. WPBakeryShortCode::endBlockComment('.wpb_wrapper');
        $output .= "\n\t".'</div> '. WPBakeryShortCode::endBlockComment($width) . "\n";

        
        $output = WPBakeryShortCode::startRow($el_position) . $output . WPBakeryShortCode::endRow($el_position);
        return $output;
	}
	
	/************************************************************************
								NEW SHORTCODES
	************************************************************************/
	
	//include (get_template_directory_uri() . '/framework/admin/shortcodes/title.php');
	//include ( get_template_directory_uri() . '/framework/admin/shortcodes/socials.php');

?>