<?php
function hb_comment_section( $post_id ) {
	global $data;
	if ( !is_user_logged_in() && is_single() && get_post_meta( get_the_ID() , 'hb_post_login_required' , true ) ) return;
	if ( get_post_meta ( $post_id, 'hb_individ_disable_fbcomm' , true ) ) return; 
	if ( function_exists('is_bbpress') )
		if ( is_bbpress() ) return;
	if ( is_page() && !$data['hb_page_facebook_comments'] ) return;
	if ( is_single() && !$data['hb_post_facebook_comments'] ) return;
	?>

	<?php if ( $data['hb_post_facebook_comments_title'] ) { ?>
	<div class="page-title-box clearfix">
		<h2 class="page-title">
			<?php echo $data['hb_post_facebook_comments_title']; ?>
		</h2>
	</div>
	<?php } ?>

	<!-- BEGIN #comments -->
	<div class="comments-wrapper clearfix">   
		<div class="fb-comments" data-href="<?php the_permalink(); ?>" data-num-posts="10"></div>                       
	</div>
	<!-- END #comments -->
	<?php
}


function hb_facebook_script( $post_id ) {
	global $data;
	if ( !$data['hb_post_facebook_comments'] ) return;
	if ( post_password_required() ) return;
	if ( !is_user_logged_in() && is_single() && get_post_meta( get_the_ID() , 'hb_post_login_required' , true ) ) return;
	if ( get_post_meta ( $post_id, 'hb_individ_disable_fbcomm' , true ) ) return; 
	if ( function_exists('is_bbpress') )
		if ( is_bbpress() ) return;

	?>

	<div id="fb-root"></div>
	<script>(function(d, s, id) {
      var js, fjs = d.getElementsByTagName(s)[0];
      if (d.getElementById(id)) return;
      js = d.createElement(s); js.id = id;
      js.src = "//connect.facebook.net/en_US/all.js#xfbml=1";
      fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));</script>
	<?php
}
add_action ( 'hb_begin_body' , 'hb_facebook_script'); 
?>