<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */
?>
<!-- START #login-form -->
<div id="login-form">

    <form action="<?php echo wp_login_url(); ?>" method="post">
        <p id="log-username">
            <input type="text" name="log" id="log" placeholder="<?php _e('Username' , 'hbthemes'); ?>" size="33">
            <span class="icon-user"></span>
        </p>

        <p id="log-pass">
            <input type="password" name="pwd" id="pwd" placeholder="<?php _e('Password' , 'hbthemes'); ?>" size="33">
            <span class="icon-key"></span>
        </p>

        <input type="submit" name="submit" value="<?php _e('Log in to your account' , 'hbthemes'); ?>" class="login-button">

        <?php if ( get_current_template(get_the_ID()) == 'page-login.php' ) { ?>
        <input type="hidden" name="redirect_to" value="<?php echo get_permalink(); ?>">
        <?php } else { ?>
        <input type="hidden" name="redirect_to" value="<?php echo 'http://' . $_SERVER['HTTP_HOST']  . $_SERVER['REQUEST_URI']; ?>">
        <?php } ?>

    </form>

    <div class="form-links clearfix">
        <p class="floatleft">
            <?php _e('Not a member yet?' , 'hbthemes'); ?>
            <?php printf ( __('<a href="%s">Sign Up</a>.' , 'hbthemes' ) ,  site_url('/wp-login.php?action=register&redirect_to=' . get_permalink()));?>
        </p>

        <p class="floatright">
            <a href="<?php echo site_url('/wp-login.php?action=lostpassword');?>">
                <?php _e('Lost your password?' , 'hbthemes'); ?>
            </a>
        </p>
    </div>

</div>
<!-- END #login-form -->