<?php
function hb_revolution_slider() {
	if ( !function_exists('putRevSlider') ) return;

	$slider_alias="";
	if ( is_page() || is_single() ) {
		$slider_alias = get_post_meta ( get_the_ID() , 'hb_revolution_slider' , true);
	} else if ( is_category() ) {
		$category = single_term_title("", false);
		$catid = get_cat_ID( $category );
		
		$cat_options = get_option ( "st_tax_meta_{$catid}" );
		if ( isset ( $cat_options['tax_enable_revolution_slider']))
			$slider_alias = $cat_options['tax_enable_revolution_slider'];
			
	}

	if ( !$slider_alias ) return;
	putRevSlider ( $slider_alias);
}
add_action( 'hb_before_main_content' , 'hb_revolution_slider' , 10, 1 );
?>
