<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */
?>

<?php 
// Category posts
function hb_index_content() { 

	if ( have_posts() ) :
		$row_count = true;
		while ( have_posts() ) : the_post(); 			
			$thumb = get_post_thumbnail_id();
			$img_url = wp_get_attachment_url( $thumb,'full'); //get img URL
			$image = hb_resize( $img_url, 500, 333, true ); //resize & crop img

			$video_link = get_post_meta ( get_the_ID() , 'hb_post_video_link' , true );
			$audio_link = get_post_meta ( get_the_ID() , 'hb_post_audio_link' , true );
			// print each category post
			?>
			
			<?php if ( $row_count ) { ?>
				<!-- BEGIN .row -->
				<div class="row">
			<?php } $row_count = !$row_count; ?>
			
			<?php include ( 'framework/includes/post_item.php' ); ?>	
			
			<?php if ( $row_count ) { ?>
				<!-- END .row -->
				</div>
			<?php } ?>
			
			<?php
		endwhile;
		?>
		
		<?php if ( !$row_count ) { ?>
			<!-- END .row -->
			</div>
		<?php } ?>
		
		<?php
		hb_pagination(); 
				
	endif;
}
add_action ( 'page_custom_content' , 'hb_index_content' ); 
?>
<?php get_header(); ?>
<?php get_footer(); ?>