<?php
/**
 * @package WordPress
 * @subpackage BulletPress
 */

 /*
 Template Name: Login / Logout
 */
function hb_login_content ( $post_id ) {
	global $current_user;
    get_currentuserinfo();
	if ( !is_user_logged_in() ) {
		include ( get_template_directory() . '/framework/includes/login-form.php'); 
	} else {
		echo '<div class="hb-promo-box logout-box">';
		echo '<div class="hb-login-avatar">' . get_avatar( $current_user -> ID, 64 ) . '</div>';
		echo '<p>';
		printf ( __('You are currently logged in as ' , 'hbthemes')); echo '<strong>' . $current_user->display_name . '</strong>.';
		echo '</p><a class="hb-button small" href="' . wp_logout_url(get_permalink()) . '">' . __('Logout','hbthemes') . '</a></div>';
	}
	
}
add_action('page_custom_content', 'hb_login_content');
add_action ( 'page_custom_content' , 'hb_comment_section', get_the_ID() , 17, 0); 
?>
<?php get_header(); ?>
<?php get_footer(); ?>